"""adding_sample_table_with_enum

Revision ID: 8995f1cbf56c
Revises: fa7b0ba6dfe9
Create Date: 2021-02-24 18:16:51.642121

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '8995f1cbf56c'
down_revision = 'fa7b0ba6dfe9'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute('create schema if not exists experimental')
    op.create_table('sample_table_with_enum_column',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('created_on', sa.DateTime(timezone=True), nullable=True),
    sa.Column('modified_on', sa.DateTime(timezone=True), nullable=True),
    sa.Column('name', sa.String(length=50), nullable=True),
    sa.Column('title', sa.String(length=250), nullable=True),
    sa.Column('description', sa.String(length=2048), nullable=True),
    sa.Column('media_type', sa.Enum('image', 'video', 'pdf', name='file_type', schema='experimental'), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='experimental'
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('sample_table_with_enum_column', schema='experimental')
    sa.Enum(name='file_type', schema='experimental').drop(op.get_bind(), checkfirst=False)
    op.execute('drop schema if exists experimental')
    # ### end Alembic commands ###
